﻿.otc {
    position: relative;
    width: 320px;
    margin: 0 auto;
}

    .otc fieldset {
        border: 0;
        padding: 0;
        margin: 0;
    }

        .otc fieldset div {
            display: flex;
            align-items: center;
            justify-content: center
        }

    .otc legend {
        margin: 0 auto 1em;
        color: #fff;
        font-weight: bold;
    }

input[type="number"] {
    width: 1.2em;
    line-height: 1;
    margin: .1em;
    padding: 8px 0 4px;
    font-size: 2.65em;
    text-align: center;
    appearance: textfield;
    -webkit-appearance: textfield;
    border: 1;
    color: #073A39;
    border-radius: 6px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* 2 groups of 3 items */
input[type="number"]:nth-child(n+4) {
    order: 2;
}

.otc div::before {
    content: '';
    height: 2px;
    width: 12px;
    margin: 0 .25em;
    order: 1;
    background: #fff;
    border-radius: 2px;
    opacity: .4;
}

/* From: https://gist.github.com/ffoodd/000b59f431e3e64e4ce1a24d5bb36034 */
.otc label {
    border: 0 !important;
    clip: rect(1px, 1px, 1px, 1px) !important;
    -webkit-clip-path: inset(50%) !important;
    clip-path: inset(50%) !important;
    height: 1px !important;
    margin: -1px !important;
    overflow: hidden !important;
    padding: 0 !important;
    position: absolute !important;
    width: 1px !important;
    white-space: nowrap !important;
}

/*----------------------*/
.base-timer {
    position: relative;
    width: 150px;
    height: 150px;
    margin: auto;
}

.base-timer__svg {
    transform: scaleX(-1);
}

.base-timer__circle {
    fill: none;
    stroke: none;
}

.base-timer__path-elapsed {
    stroke-width: 6px;
    stroke: #efefef;
}

.base-timer__path-remaining {
    stroke-width: 4px;
    stroke-linecap: round;
    transform: rotate(90deg);
    transform-origin: center;
    transition: 1s linear all;
    fill-rule: nonzero;
    stroke: currentColor;
}

    .base-timer__path-remaining.green {
        color: #39b37d;
    }

    .base-timer__path-remaining.orange {
        color: orange;
    }

    .base-timer__path-remaining.red {
        color: red;
    }

.base-timer__label {
    position: absolute;
    width: 150px;
    height: 150px;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    font-weight: 600;
    letter-spacing: 0.3px;
}